Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary: 	various gtk widgets for xfce
Name: 		libxfcegui4
Version: 	4.4.2
Release: 	1
License:	LGPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Graphical Desktop/Xfce/Libraries
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	gtk2+ >= 2.2.0
Requires:	libxfce4util >= 4.4.0
Requires:  	startup-notification
BuildRequires: 	gtk2+-devel >= 2.2.0
BuildRequires:	libxfce4util-devel >= 4.4.0
BuildRequires:	dbh-devel
BuildRequires:	startup-notification-devel

%description
Various gtk widgets for xfce.

%package devel
Summary:	developpment tools for libxfcegui4 library
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description devel
Static libraries and header files for the libxfcegui4 library.

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q -n %{name}-%{version}


%build
%configure --sysconfdir=%_sysconfdir/xfce --enable-xinerama --disable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%_libdir/*.so.*
%_datadir/icons
%_datadir/gtk-doc

%files devel
%defattr(-, root, root)
%_libdir/*.so
%_libdir/*a
%_libdir/*.la
%_libdir/pkgconfig
%_includedir

%changelog
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.2-1
- Version update
* Sun Oct 07 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.1-1
- Version update
* Wed Jan 31 2007 Christian Metzen <metzench@ccux-linux.de> 4.4.0-1
- Version update
* Sat Nov 25 2006 Christian Metzen <metzench@ccux-linux.de> 4.3.99.2-1
- cleaned version, moved libexecdir and sysconfdir
* Thu Nov 23 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-2
- Version Update RC2
* Mon Sep 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-1
- Version Update, RC1
* Thu Jul 20 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.90-1
- Version Update, beta2
* Sat Nov 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3
- Version update
* Fri Oct 14 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.2.2-1
- Initial Release

